For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get all responses for a survey.

Required permissions: Responses and Reporting

get
Path parameters
surveyIDstring · uuidRequired
Query parameters
numRecordsinteger · int32Optional
startIndexinteger · int32Optional
includePartialbooleanOptional
startDatestringOptional
endDatestringOptional
apiTokenstringRequired

API authentication token

Responses
200

OK

application/json
surveyIDstringOptional
responseCountinteger · int32Optional
get/surveys/{surveyID}/responses
GET /surveys/{surveyID}/responses?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Accept: */*
{
  "surveyID": "text",
  "responseCount": 1,
  "responses": [
    {
      "responseID": "text",
      "data": [
        {
          "fieldID": "text",
          "name": "text",
          "value": "text"
        }
      ],
      "meta": [
        {
          "fieldID": "text",
          "name": "text",
          "value": "text"
        }
      ],
      "answers": [
        {
          "fieldID": "text",
          "name": "text",
          "value": "text"
        }
      ]
    }
  ]
}

Last updated

Was this helpful?